ऑटो रिफिल
बैंडविड्थ नियम हटाएं
बैंडविड्थ ऑटो रिफिल नियम हटाएं
DELETE
/
api
/
v1
/
bandwidth
/
auto-refill
/
{rule_id}
बैंडविड्थ नियम हटाएं
curl --request DELETE \
--url https://api.example.com/api/v1/bandwidth/auto-refill/{rule_id}import requests
url = "https://api.example.com/api/v1/bandwidth/auto-refill/{rule_id}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.example.com/api/v1/bandwidth/auto-refill/{rule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/bandwidth/auto-refill/{rule_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/bandwidth/auto-refill/{rule_id}"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.example.com/api/v1/bandwidth/auto-refill/{rule_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/bandwidth/auto-refill/{rule_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
response = http.request(request)
puts response.read_body{
"status": "<string>"
}बैंडविड्थ नियम हटाएं
नियम हटाता है। इसके लिए आगे कोई रिफिल नहीं होता, और एड्रेस नए बैंडविड्थ नियम के लिए मुक्त हो जाता है। पहले से खरीदी गई बैंडविड्थ वापस नहीं ली जाती: वे किराये अपनी अवधि के अंत तक चलते हैं। पिछले रिफिल ऑर्डर आपके ऑर्डर इतिहास में बने रहते हैं।buy_bandwidth स्कोप आवश्यक है।
नियम खोए बिना कुछ समय के लिए रिफिल बंद करने हेतु, इसके बजाय उसे रोकें।
पाथ पैरामीटर
number
आवश्यक
नियम ID — बैंडविड्थ नियम बनाएं या बैंडविड्थ नियमों की सूची से मिला
idरिस्पॉन्स
string
okउदाहरण
curl -X DELETE https://api.tronrental.com/v1/bandwidth/auto-refill/15 \
-H "X-API-Key: your_api_key"
import requests
resp = requests.delete(
"https://api.tronrental.com/v1/bandwidth/auto-refill/15",
headers={"X-API-Key": "your_api_key"},
)
print(resp.json())
const resp = await fetch("https://api.tronrental.com/v1/bandwidth/auto-refill/15", {
method: "DELETE",
headers: { "X-API-Key": "your_api_key" },
});
console.log(await resp.json());
Response
{
"status": "ok"
}
त्रुटियाँ
| स्थिति | कोड | कब |
|---|---|---|
403 | FORBIDDEN | API कुंजी के पास buy_bandwidth स्कोप नहीं है |
404 | NOT_FOUND | आपके खाते में इस ID का कोई बैंडविड्थ नियम नहीं है (या उसे पहले ही हटा दिया गया है) |
409 | AUTOREFILL_IN_PROGRESS | इस नियम के लिए अभी रिफिल खरीदा जा रहा है — एक मिनट में फिर प्रयास करें |
{
"detail": {
"error": {
"code": "NOT_FOUND",
"message": "Auto-refill rule not found"
}
}
}
⌘I
बैंडविड्थ नियम हटाएं
curl --request DELETE \
--url https://api.example.com/api/v1/bandwidth/auto-refill/{rule_id}import requests
url = "https://api.example.com/api/v1/bandwidth/auto-refill/{rule_id}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.example.com/api/v1/bandwidth/auto-refill/{rule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/bandwidth/auto-refill/{rule_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/bandwidth/auto-refill/{rule_id}"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.example.com/api/v1/bandwidth/auto-refill/{rule_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/bandwidth/auto-refill/{rule_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
response = http.request(request)
puts response.read_body{
"status": "<string>"
}